/** \file SHTxx.c
	\author Tomasz Ostrowski
	\date July 2008
	\brief Routines for Sensirion SHTxx sensor family, PIC18F microcontroller
*/

#ifndef SHTxx_H
#define SHTxx_H

typedef union
{
    long i;
    float f;
} value;

enum{TEMP,HUMID};

//Function definitions
void s_connectionreset (void);
unsigned char s_measure(unsigned char *p_value, unsigned char *p_checksum, unsigned char mode);
void calc_sht11(float *p_humidity, float *p_temperature);

#endif
